Name:         calamaris
Version:      2.99.4.5
Release:      2%{?dist}
Vendor:       Cord Beermann
Packager:     Franta Hanzlik
Group:        Logfile
License:      GPL
Summary:      Squid Logfile Statistics Tool and Report Generator
URL:          http://cord.de/tools/squid/calamaris/
Requires:     squid perl(NetAddr::IP) perl(GD::Graph) perl(GD::Graph3d)

#   list of source(s)
Source0:      http://cord.de/tools/squid/calamaris/calamaris-%{version}.tar.gz
Patch0:       calamaris-%{version}-fedora.patch

#   build information
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Calamaris parses the Squid Native Log and generates reports
about Peak-usage, Request-Methods, Status-reports of incoming
and outgoing requests, second and Top-level destinations,
content-types and performance.

%prep

%setup -q
%patch0 -p1
#%ifarch x86_64
#sed -i -e "/^use lib \'\/usr\/lib\/calam/s@/usr/lib/@/usr/lib64/@g" calamaris
#%endif

# !!POZOR!! - kdyz jsem tady mel jen prazdnou '%build' sekci, tak to koncilo chybou
# "Processing files: calamaris-debuginfo-2.99.4.0-4.fc24.x86_64
# error: Empty %files file /home/hanzlik/rpmbuild/BUILD/calamaris-2.99.4.0/debugfiles.list
#
# RPM build errors:
#   Empty %files file /home/hanzlik/rpmbuild/BUILD/calamaris-2.99.4.0/debugfiles.list

#%build
    #   no-op

%install
mkdir -p -m 755 $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/%{name}-%{version},%{_sysconfdir}/%{name},%{_datarootdir}/%{name}}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES.utf8 CHANGES
touch -r CHANGES CHANGES.utf8; mv -f CHANGES.utf8 CHANGES
iconv -f iso-8859-1 -t utf-8 -o EXAMPLES.utf8 EXAMPLES
touch -r EXAMPLES EXAMPLES.utf8; mv -f EXAMPLES.utf8 EXAMPLES
install -p -m 644 -D calamaris.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/calamaris.conf
# na backportovani prdim:
#% if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
%if (0%{?fedora} && 0%{?fedora} < 20) || (0%{?rhel} && 0%{?rhel} < 7)
mkdir -p -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -p -m 644 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} BUGS CHANGES COPYRIGHT EXAMPLES EXAMPLES.v3 INSTALL README TODO
install -p -m 755 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} calamaris-cache-convert
%else
mkdir -p -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -p -m 644 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name} BUGS CHANGES COPYRIGHT EXAMPLES EXAMPLES.v3 INSTALL README TODO
install -p -m 755 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name} calamaris-cache-convert
%endif
install -p -m 755 -t ${RPM_BUILD_ROOT}%{_datarootdir}/%{name} calAxestype.pm calAxestype3d.pm calBars3d.pm

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/calamaris.conf
%doc BUGS CHANGES* COPYRIGHT EXAMPLES* INSTALL README TODO
%doc calamaris-cache-convert

%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%{_datarootdir}/%{name}/*.pm

%changelog
*Sun Aug 03 2014 Franta Hanzlik <franta@hanzlici.cz>
- UnversionedDocdirs for F20

* Sun May 09 2010 Franta Hanzlik <franta@hanzlici.cz> 2.99.4.0
- some little spec file modification

* Wed Aug 06 2008 Franta Hanzlik <franta@hanzlici.cz> 2.99.4.0
- initial build
